﻿@using Portal.Models;
@using System.Web.UI.WebControls;
@using DevExpress.Web.Mvc;
@using DevExpress.Web.Mvc.UI;
@using DevExpress.Utils;
@model Toyota.Common.Web.MVC.ModelHolder
@{     
    Layout = "~/Views/Layout/Dashboard.cshtml";
}

<script type="text/javascript">
    function AddRoutePrice(s, e) {
        popupnew.SetHeaderText('Route Price Master Info Add ');
        popupnew.Show();
    }

    function btnSave_click(s, e) {
        if (validating_insert()) 
        {
            //---=== Ajax store
            $.ajax({
                type: "POST",
                url: "@Url.Content("~/RoutePriceMaster/AddingRoutePrice")",
                data: {
                        Route_Cd: txtRouteCode.GetText(),
                        Route_Name: txtRouteName.GetText(),
                        LP_Cd: grlLPHeader.GetText(),
                        Price: sePrice.GetText(),
                        Valid_From: deValidFrom.GetText(),
                        Valid_To: deValidTo.GetText()
                    },
                    success: function (result) {
                        var resValue = result.split('|');
                        if (resValue[0] == 'Error')
                        {
                            alert(resValue[1]);
                        }
                        else
                        {
                            GridRoutePriceMaster.PerformCallback();
                            ClearForm();
                        }
                    },
                    error: function (result) {
                        var resValue = result.split('|');
                        alert(resValue[1]);
                        ClearForm();
                        GridRoutePriceMaster.PerformCallback();
                    }
                });
                //---=== End ajax store
        } 
        else 
        {
            alert('Please, fill all fields.');
        }
    }

    function validating_insert() {
        var result = true;

        if (txtRouteCode.GetText() == '')
            result = false;

        if (txtRouteName.GetText() == '')
            result = false;

        if (grlLPHeader.GetText() == '')
            result = false;

        if (sePrice.GetText() == '')
            result = false;

        if (deValidFrom.GetText() == '')
            result = false;

        if (deValidTo.GetText() == '')
            result = false;

        return result;
    }


    function ClearForm() {
        txtRouteCode.SetText('');
        txtRouteName.SetText('');
        sePrice.SetValue('');
        deValidFrom.SetDate(null);
        deValidTo.SetDate(null);
        grlLPHeader.PerformCallback();
        GridgrlLPHeader.PerformCallback();
        popupnew.Hide();
    }

    function btnCancel_click(s, e) {
        ClearForm();
    }

    function OnHyperLinkClick(s, e) {
        popupnew.SetHeaderText('Route Price Master Info Edit ');
        popupnew.Show();
    }
    
    function btnSearch_click(s, e) {
        if ((grlLPHeaderSearch.GetText() != '')||(txtRouteCodeSearch.GetText() != ''))
        {
            GridRoutePriceMaster.PerformCallback();
        }
        else
        {
            alert('Please, fill parameter search.');
        }
    }

    function btnClear_click(s, e) {
        grlLPHeaderSearch.PerformCallback();
        GridgrlLPHeaderSearch.PerformCallback();
        txtRouteCodeSearch.SetText('');
    }

    function GridRoutePriceMaster_BeginCallback(s, e) {
        e.customArgs["Route_cd"] = txtRouteCodeSearch.GetText();
        e.customArgs["LP_Cd"] = grlLPHeaderSearch.GetText();
    }

</script>


<div style="width:1200px;padding-right:0px; padding-bottom:15px; ">
    <table width="100%">
        <tr>
            <td style="border:1px solid #142B94;background-color:#DEECFD;padding:10px;">
                @Html.Partial("IndexHeader")
            </td>
        </tr>

        <tr style="height:5px;">
        </tr>

        <tr>
            <td>
                @Html.Action("GridRoutePriceMaster", "RoutePriceMaster")
            </td>
        </tr>
    </table>
</div>


    @Html.DevExpress().PopupControl(settings =>
    {
        settings.Name = "popupnew";
        settings.Width = System.Web.UI.WebControls.Unit.Percentage(25);
        settings.Height = System.Web.UI.WebControls.Unit.Percentage(100);
        settings.Modal = true;
        settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
        settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
        //settings.DragElement = DragElement.Window;
        //settings.ShowHeader = false;
        settings.SetContent(() =>
        {
            Html.RenderPartial("PopupAdd");
        });
    }).GetHtml()

    @Html.DevExpress().PopupControl(settings =>
    {
        settings.Name = "popupedit";
        settings.Width = System.Web.UI.WebControls.Unit.Percentage(20);
        settings.Height = System.Web.UI.WebControls.Unit.Percentage(100);
        settings.Modal = true;
        settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
        settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
        //settings.DragElement = DragElement.Window;
        //settings.ShowHeader = false;
        settings.SetContent(() =>
        {
            Html.RenderPartial("PopupEdit");
        });
    }).GetHtml()


    



